#include <stdio.h>
#include <stdlib.h>
#include "global.h"
#include "survey.h"
#include "manhat-lib/shared_survey_util.h"
#include "manhat-lib/shared_survey_read_param.h"
#include "manhat-lib/shared_survey_path_util.h"
#include "manhat-lib/shared_cs_util.h"

 
int
main()
{
   int crs;
   char key[MAX_KEY +1];
   char count[MAX_PATH +1];
   int  pre_id;
   SESSION user;

   cs_cgi_init();        /* shared_cs_util.c */
   read_com_parameters(&crs, key, count, &pre_id); /*shared_survey_read_param.c */
   verify_key_path(&user, key, crs);  /* shared_survey_path_util.c */

   insert_survey_spell_check_button();   /* shared_survey_util.c */
   cs_load_lang("shared_survey_form");  /* shared_cs_util.c */
   cs_set_int_value("number_choices", 4);

   cs_cgi_display("survey_choice_form", 1); 
   cs_cgi_destroy(); 
   return 0;
}
